com.example.anna.phototag

## Class MainActivity.PlaceholderFragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - com.example.anna.phototag.MainActivity.PlaceholderFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.view.View.OnCreateContextMenuListener
  Enclosing class:
    MainActivity

      public static class MainActivity.PlaceholderFragment
      extends android.support.v4.app.Fragment

  A placeholder fragment containing a simple view.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `android.support.v4.app.Fragment.InstantiationException, android.support.v4.app.Fragment.SavedState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainActivity.PlaceholderFragment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MainActivity.PlaceholderFragment` | `newInstance(int sectionNumber)` Returns a new instance of this fragment for the given section number.
    `void` | `onAttach(android.app.Activity activity)` Called when a fragment is first attached to its activity.
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)` Called to have the fragment instantiate its user interface view.

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getEnterTransition, getExitTransition, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isVisible, onActivityCreated, onActivityResult, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onHiddenChanged, onInflate, onLowMemory, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPrepareOptionsMenu, onResume, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, registerForContextMenu, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MainActivity.PlaceholderFragment

          public MainActivity.PlaceholderFragment()

  - ### Method Detail

    - #### newInstance

          public static MainActivity.PlaceholderFragment newInstance(int sectionNumber)

      Returns a new instance of this fragment for the given section number.

    - #### onCreateView

          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                       android.view.ViewGroup container,
                                       android.os.Bundle savedInstanceState)

      Description copied from class: `android.support.v4.app.Fragment`
      Called to have the fragment instantiate its user interface view. This is optional, and non-graphical fragments can return null (which is the default implementation). This will be called between `Fragment.onCreate(Bundle)` and `Fragment.onActivityCreated(Bundle)`.

      If you return a View from here, you will later be called in `Fragment.onDestroyView()` when the view is being released.

      Overrides:
        `onCreateView` in class `android.support.v4.app.Fragment`
      Parameters:
        `inflater` - The LayoutInflater object that can be used to inflate any views in the fragment,
        `container` - If non-null, this is the parent view that the fragment's UI should be attached to. The fragment should not add the view itself, but this can be used to generate the LayoutParams of the view.
        `savedInstanceState` - If non-null, this fragment is being re-constructed from a previous saved state as given here.
      Returns:
        Return the View for the fragment's UI, or null.

    - #### onAttach

          public void onAttach(android.app.Activity activity)

      Description copied from class: `android.support.v4.app.Fragment`
      Called when a fragment is first attached to its activity. `Fragment.onCreate(Bundle)` will be called after this.
      Overrides:
        `onAttach` in class `android.support.v4.app.Fragment`